## kdav 5.78.0

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkdav\")
include_directories(
   common/
   protocols/
)

########### next target ###############

set(libkdav_SRCS
 common/davjobbase.cpp
 common/davcollection.cpp
 common/davcollectiondeletejob.cpp
 common/davcollectionsfetchjob.cpp
 common/davcollectionmodifyjob.cpp
 common/davcollectionsmultifetchjob.cpp
 common/davprotocolbase.cpp
 common/daverror.cpp
 common/davitem.cpp
 common/davitemcreatejob.cpp
 common/davitemdeletejob.cpp
 common/davitemfetchjob.cpp
 common/davitemmodifyjob.cpp
 common/davitemsfetchjob.cpp
 common/davitemslistjob.cpp
 common/davmanager.cpp
 common/davmultigetprotocol.cpp
 common/davprincipalhomesetsfetchjob.cpp
 common/davprincipalsearchjob.cpp
 common/protocolinfo.cpp
 common/davurl.cpp
 common/utils.cpp
 common/etagcache.cpp

 protocols/groupdavprotocol.cpp

 #KContacts
 protocols/carddavprotocol.cpp

 #KCalCore
 protocols/caldavprotocol.cpp
)


ecm_generate_headers(KDAV_Camelcase_HEADERS
    HEADER_NAMES
    DavJobBase
    DavCollection
    DavCollectionDeleteJob
    DavCollectionsFetchJob
    DavCollectionModifyJob
    DavCollectionsMultiFetchJob
    DavError
    DavItem
    DavItemCreateJob
    DavItemDeleteJob
    DavItemFetchJob
    DavItemModifyJob
    DavItemsFetchJob
    DavItemsListJob
    DavPrincipalHomesetsFetchJob
    DavPrincipalSearchJob
    DavUrl
    Enums
    EtagCache
    ProtocolInfo
    REQUIRED_HEADERS KDAV_HEADERS
    PREFIX KDAV
    RELATIVE common
    )

install(FILES
    ${KDAV_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KF5/KDAV
    COMPONENT Devel
    )

install(FILES
    ${KDAV_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdav_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KF5/kdav
    COMPONENT Devel
    )


ecm_qt_declare_logging_category(libkdav_SRCS
    HEADER libkdav_debug.h
    IDENTIFIER KDAV_LOG
    CATEGORY_NAME kf.dav
    OLD_CATEGORY_NAMES org.kde.pim.kdav
    DESCRIPTION "KDAV"
    EXPORT KDAV
)


add_library(KF5DAV
   ${libkdav_SRCS}
   )

generate_export_header(KF5DAV BASE_NAME kdav)

add_library(KF5::DAV ALIAS KF5DAV)

target_link_libraries(KF5DAV
PUBLIC
    KF5::CoreAddons
PRIVATE
    Qt5::Xml
    Qt5::Gui
    Qt5::XmlPatterns
    KF5::KIOCore
    KF5::I18n
    )

set_target_properties(KF5DAV PROPERTIES
    VERSION ${KDAV_VERSION_STRING}
    SOVERSION ${KDAV_SOVERSION}
    EXPORT_NAME DAV
    )

install(TARGETS
    KF5DAV
    EXPORT KF5DAVTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    ${LIBRARY_NAMELINK}
    )

ecm_generate_pri_file(BASE_NAME kdav
    LIB_NAME KF5DAV
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KDAV
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
    )

target_include_directories(KF5DAV INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KF5/KDAV/;${KDE_INSTALL_INCLUDEDIR}/KF5/kdav;${KDE_INSTALL_INCLUDEDIR}/KF5>")
ecm_qt_install_logging_categories(EXPORT KDAV FILE kdav.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_QCH)
    ecm_add_qch(
        KF5DAV_QCH
        NAME KDAV
        BASE_NAME KF5DAV
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KDAV_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
            KF5CoreAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KDAV_EXPORT
            KDAV_DEPRECATED_EXPORT
            KDAV_DEPRECATED
            "KDAV_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

## kdav 5.74.0

=== debian/changelog ===
kdav (1:5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:05 +0100

kdav (1:5.73.0-0ubuntu2) groovy; urgency=medium

  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 31 Aug 2020 21:23:30 +0100

kdav (1:5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Transition to release as part of KDE frameworks:
    - Add epoch, as requires leaving KDE applications verion numbering
      behind.
    - Update/rename package names for frameworks SONAME transition.
    - Drop use of debian abi manager as no longer needed.
    - Update watch file.
    - Change upstream signing key to frameworks maintainer.
  * Update to debhelper-compat = 12

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 11:14:11 +0100

kdav (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Follow Debian ABI bumps.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:34 +0100

kdav (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:00 +0100

kdav (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:27 +0100

kdav (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:15 +0100

kdav (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:55 +0000

kdav (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:17:48 +0000

kdav (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Install translations
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:27 +0100

kdav (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:27 +0000

kdav (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:24 +0000

kdav (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:00 +0000

kdav (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Initial ubuntu packaging
  * Update VCS fields and upstream/metadata
  * Add build dep on libqt5xmlpatterns5-dev

  [ José Manuel Santamaría Lema ]
  * Fix watch file.
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 15:05:48 +0100

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
Vcs-Git: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav

Package: libkf5dav-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Replaces: libkpimkdav-data
Breaks: libkpimkdav-data
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkf5dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.74.0~),
         libkf5dav5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkpimkdav-dev (<< 1:5.73.0~)
Replaces: libkpimkdav-dev (<< 1:5.73.0~)
Description: DAV protocol implementation with KJobs - developer files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkpimkdav-dev
Architecture: any
Priority: optional
Section: oldlibs
Depends: libkf5dav-dev (>= 1:5.74.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5dav5
Architecture: any
Multi-Arch: same
Depends: libkf5dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkpimkdav5abi2
Replaces: libkpimkdav5abi2
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

## kdav 5.78.0

=== debian/changelog ===
kdav (1:5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:20 +0900

kdav (1:5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kdav (1:5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kdav (1:5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kdav (1:5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:36 +0200

kdav (1:5.74.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Source is moved to Frameworks (Epoch bump needed).
  * Update build-deps and deps with the info from cmake.
  * Use default rules for Frameworks build.
  * Mention migration to Frameworks in package descriptions.
  * Create libkf5dav-doc package.
  * Add symbols file for libkf5dav5.
  * Add Build-Depends-Package to symbols file.
  * Add kdav.renamecategories libkf5dav-data.install.
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:18 +0200

kdav (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Wrap long lines in changelog entries: 20.04.0-2.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:40 +0200

kdav (20.04.0-2) experimental; urgency=medium

  * Mark libkf5dav-{data,dev} to Replace libkpimkdav-{data,dev}
    (Closes: #960344).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:20:36 +0200

kdav (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * New upstream release (19.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Bump compat level to 13.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * KDav is preparing to move to KF5.
  * Switch to dh for building.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 18:54:56 +0200

kdav (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:53:53 +0100

kdav (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update libkpimkdav-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:38:19 +0100

kdav (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:48:25 +0100

kdav (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Thu, 03 Oct 2019 22:59:34 +0200

kdav (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:02 +0100

kdav (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Make tests not failing the build.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:58:32 +0100

kdav (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Remove patch that got upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:29 +0200

kdav (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update watch file to match unstable releases, too.
  * Update build-deps and deps with the info from cmake
  * Update symbols from build for 18.07.90.
  * Update patch hunks.
  * Add patch o fix failing test.
  * Update copyright file for new upstream.
  * Bump Debian-ABI for libkpimkdav5 because of ABI breakage to 2.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:01:36 +0200

kdav (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 17.12.2
  * replace PWD with CURDIR in rules file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:23:52 +0200

kdav (17.12.2-4) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]


=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libqt5xmlpatterns5-dev (>= 5.14.0~),
               pkg-kde-tools (>= 0.12),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.14.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kdav
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
Rules-Requires-Root: no

Package: libkf5dav-data
Architecture: all
Multi-Arch: foreign
Breaks: libkpimkdav-data
Replaces: libkpimkdav-data
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libkpimkdav-dev
Replaces: libkpimkdav-dev
Depends: libkf5dav5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.78.0~),
         libqt5xmlpatterns5-dev (>= 5.14.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: DAV protocol implementation with KJobs - documentation
 A DAV protocol implementation with KJobs.
 .
 This package contains the qch documentation files.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav5
Architecture: any
Multi-Arch: same
Depends: libkf5dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper  --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	mkdir -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	chmod 700 $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	- XDG_RUNTIME_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime xvfb-run --server-args="-screen 0 1024x768x24 +extension GLX" -- \
	        dh_auto_test --no-parallel
	rm -r $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime

## kdav 5.80.0

=== debian/changelog ===
kdav (1:5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:53 +0000

kdav (1:5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Add qttools5-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
                libqt5xmlpatterns5-dev (>= 5.14.0~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.14.0~),
+               qttools5-dev,
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kdav
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
@@ -44,10 +45,10 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.78.0~),
+         libkf5i18n-dev (>= 5.80.0~),
          libqt5xmlpatterns5-dev (>= 5.14.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: DAV protocol implementation with KJobs - development files
  A DAV protocol implementation with KJobs.
  .

## kdav 5.86.0

=== debian/changelog ===
kdav (1:5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:02 +0100

kdav (1:5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:49 +0100

kdav (1:5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:11 +0100

kdav (1:5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:03 +0100

kdav (1:5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:34 +0100

kdav (1:5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
                libqt5xmlpatterns5-dev (>= 5.14.0~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -45,7 +45,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.80.0~),
+         libkf5i18n-dev (>= 5.86.0~),
          libqt5xmlpatterns5-dev (>= 5.14.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

## kdav 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts

project(libkdav VERSION ${KF_VERSION})

find_package(ECM 5.92.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(CMakeFindDependencyMacro)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(FeatureSummary)
include(ECMAddQch)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)


set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui Test)

find_package(KF5 ${KF_DEP_VERSION} REQUIRED CoreAddons KIO I18n)

# setup lib

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


ecm_setup_version(PROJECT VARIABLE_PREFIX KDAV
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfigVersion.cmake"
    SOVERSION 5
    )

ki18n_install(po)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(test)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DAV")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5DAV_QCH
        FILE KF5DAVQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DAVQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5DAVConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5DAVTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5DAVTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel
    )


feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kdav (1:5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:07 +0000

kdav (1:5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:28 +0000

kdav (1:5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:57 +0000

kdav (1:5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:14 +0000

kdav (1:5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:20 +0000

kdav (1:5.88.0-1ubuntu2) jammy; urgency=medium

  * Restore build dep on qttools5-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 10:32:56 +0000

kdav (1:5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 14:34:33 +0000

kdav (1:5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kdav (1:5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:17:35 +0000

kdav (1:5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:04:51 +0000

kdav (1:5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:52:18 +0900

kdav (1:5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdav (1:5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:01:57 +0900

kdav (1:5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:01 +0900

kdav (1:5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:16:07 +0900

kdav (1:5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:07:46 +0900

kdav (1:5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kdav (1:5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kdav (1:5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kdav
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libqt5xmlpatterns5-dev (>= 5.14.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
 Rules-Requires-Root: no
 
 Package: libkf5dav-data
@@ -45,9 +45,9 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.86.0~),
-         libqt5xmlpatterns5-dev (>= 5.14.0~),
-         qtbase5-dev (>= 5.14.0~),
+         libkf5i18n-dev (>= 5.92.0~),
+         libqt5xmlpatterns5-dev (>= 5.15.2~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: DAV protocol implementation with KJobs - development files
  A DAV protocol implementation with KJobs.
@@ -73,7 +73,7 @@
 Multi-Arch: same
 Depends: libkf5dav-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: DAV protocol implementation with KJobs
  A DAV protocol implementation with KJobs.
  .

## kdav 5.97.0

=== debian/changelog ===
kdav (1:5.97.0-1+rpi1) bookworm-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 20 Sep 2022 22:09:45 +0000

kdav (1:5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

kdav (1:5.96.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2022 15:06:07 +0200

kdav (1:5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * CI: enable again the blhc job.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Update symbols file from the logs of buildds.
  * Remove the unused ${shlibs:Depends} substvar from libkf5dav-data.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 14:37:26 +0200

kdav (1:5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:08 +0200

kdav (1:5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kdav (1:5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kdav (1:5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Add qttools5-dev to build dependencies to fix FTCBFS (thanks Helmut
    Grohne). (Closes: #977393)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kdav
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.97.0~),
+               libkf5coreaddons-dev (>= 5.97.0~),
+               libkf5i18n-dev (>= 5.97.0~),
+               libkf5kio-dev (>= 5.97.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
-               qttools5-dev,
-               xauth,
-               xvfb,
-Standards-Version: 4.6.0
+               qttools5-dev (>= 5.15.2~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
 Rules-Requires-Root: no
 
 Package: libkf5dav-data
@@ -30,7 +30,7 @@
 Multi-Arch: foreign
 Breaks: libkpimkdav-data
 Replaces: libkpimkdav-data
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: DAV protocol implementation with KJobs - arch independent files
  A DAV protocol implementation with KJobs.
  .
@@ -45,7 +45,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.92.0~),
+         libkf5i18n-dev (>= 5.97.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kdav 5.98.0

=== debian/changelog ===
kdav (1:5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:02 +0100

kdav (1:5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:13 +0100

kdav (1:5.96.0-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Aug 2022 07:33:30 +0100

kdav (1:5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:10 +0100

kdav (1:5.95.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jun 2022 17:41:08 +0100

kdav (1:5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:34 +0100

kdav (1:5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:16 +0100

kdav (1:5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: kdav
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.97.0~),
-               libkf5coreaddons-dev (>= 5.97.0~),
-               libkf5i18n-dev (>= 5.97.0~),
-               libkf5kio-dev (>= 5.97.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -21,8 +22,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
 Rules-Requires-Root: no
 
 Package: libkf5dav-data
@@ -30,7 +31,7 @@
 Multi-Arch: foreign
 Breaks: libkpimkdav-data
 Replaces: libkpimkdav-data
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: DAV protocol implementation with KJobs - arch independent files
  A DAV protocol implementation with KJobs.
  .
@@ -45,7 +46,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.97.0~),
+         libkf5i18n-dev (>= 5.98.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kdav 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 
 project(libkdav VERSION ${KF_VERSION})
 
-find_package(ECM 5.92.0 CONFIG REQUIRED)
+find_package(ECM 5.103.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -23,6 +23,7 @@
 include(ECMAddTests)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 
 set(REQUIRED_QT_VERSION 5.15.2)
@@ -32,12 +33,13 @@
 
 # setup lib
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
-
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KDAV
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h"
@@ -82,7 +84,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDAV COMPONENT Devel
     )

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DAUTOTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

ecm_add_test(davcollectiontest.cpp davcollectiontest.h
    TEST_NAME davcollection
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Gui
)

ecm_add_test(davitemtest.cpp davitemtest.h
    TEST_NAME davitem
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core
)

ecm_add_test(davurltest.cpp davurltest.h
    TEST_NAME davurl
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core
)

ecm_add_test(davcollectionsmultifetchjobtest.cpp fakeserver.cpp davcollectionsmultifetchjobtest.h fakeserver.h
    TEST_NAME davcollectionsmultifetchjobtest
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Network
)

ecm_add_test(davitemfetchjobtest.cpp fakeserver.cpp davitemfetchjobtest.h fakeserver.h
    TEST_NAME davitemfetchjob
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Network
)

ecm_add_test(davitemslistjobtest.cpp fakeserver.cpp davitemslistjobtest.h fakeserver.h
    TEST_NAME davitemslistjob
    NAME_PREFIX "kdav-"
    LINK_LIBRARIES KF5::DAV Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Network
)

=== debian/changelog ===
kdav (1:5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

kdav (1:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kdav (1:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

kdav (1:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

kdav (1:5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kdav
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
+               libkf5kio-dev (>= 5.103.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -20,17 +19,17 @@
                qttools5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
 Rules-Requires-Root: no
 
 Package: libkf5dav-data
 Architecture: all
 Multi-Arch: foreign
-Breaks: libkpimkdav-data
-Replaces: libkpimkdav-data
+Breaks: libkpimkdav-data,
+Replaces: libkpimkdav-data,
 Depends: ${misc:Depends},
 Description: DAV protocol implementation with KJobs - arch independent files
  A DAV protocol implementation with KJobs.
@@ -43,10 +42,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Breaks: libkpimkdav-dev
-Replaces: libkpimkdav-dev
+Breaks: libkpimkdav-dev,
+Replaces: libkpimkdav-dev,
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.98.0~),
+         libkf5i18n-dev (>= 5.103.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -60,7 +59,7 @@
 Package: libkf5dav-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Section: doc
 Description: DAV protocol implementation with KJobs - documentation
  A DAV protocol implementation with KJobs.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with kf5,pkgkde_symbolshelper  --buildsystem kf5 --without build_stamp
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON
